Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07244 Crash/Freeze Critical (emulation) Always Feb 27, 2019, 20:41 Mar 1, 2019, 04:18
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To Tafoid Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver turrett.cpp
Version 0.207 Fixed in Version Build 64-bit
Summary 07244: turrett: No longer boots to playable
Description When you normally should complete the bootup process hitting the menu button (F2), this no longer happens but shows a forever black screen.
Steps To Reproduce
Additional Information Appears regression happened during submits on concerning r30xx/mips CPU On November 6/7, 2018
Flags
Regression Version 0.204
Affected Sets / Systems turrett
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.16180
pmackinlay
Developer
Feb 28, 2019, 05:25
Should be resolved with https://github.com/mamedev/mame/commit/4c3fdda8feec644a76581076bb47e827399d38f3. I don't know how to actually play the game or if there are any other newly-introduced issues, so appreciate further testing from someone who does.
User avatar
No.16184
Tafoid
Administrator
Feb 28, 2019, 15:41
Seems to be ok up until the time you need to hit F2 to start up the game. From that point in my testing it seems to load that screen (at an ultra low speed) when it should appear nearly instantly after hitting F2.
User avatar
No.16191
pmackinlay
Developer
Mar 1, 2019, 04:18
My fault - forgot to merge the other part of the fix.

https://github.com/mamedev/mame/commit/85f865a782ef99e3d0da73d7a05a5eaad1f1fdb4